MojoMojo::Schema::Result::Photo(3)

NAME
MojoMojo::Schema::Result::Photo - store photos

METHODS

  extract_exif
Extracts EXIF information from a given Attachment and populates the Photo object.

  exif2datetime datetime
Creates a DateTime object from an EXIF timestamp.

  prev_by_tag <tag>
Return previous image when browsing by the given tag.

  next_by_tag <tag>
Return the next image when browsing by the given tag.

  others_tags <user>
Tags other users have given to this photo.

  user_tags <user>
Tags this user has given to this photo.

  make_inline
Create a resized version of a photo suitable for inline usage.

  make_thumb
Create a thumbnail version of a photo, for gallery views and linking to pages.

AUTHOR
Marcus Ramberg <mramberg@cpan.org>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.